source: squid-ssl/trunk/fuentes/lib/smblib/Makefile.in @ 5496

Last change on this file since 5496 was 5496, checked in by Juanma, 22 months ago

Initial release

File size: 37.8 KB
Line 
1# Makefile.in generated by automake 1.15 from Makefile.am.
2# @configure_input@
3
4# Copyright (C) 1994-2014 Free Software Foundation, Inc.
5
6# This Makefile.in is free software; the Free Software Foundation
7# gives unlimited permission to copy and/or distribute it,
8# with or without modifications, as long as this notice is preserved.
9
10# This program is distributed in the hope that it will be useful,
11# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
12# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
13# PARTICULAR PURPOSE.
14
15@SET_MAKE@
16
17VPATH = @srcdir@
18am__is_gnu_make = { \
19  if test -z '$(MAKELEVEL)'; then \
20    false; \
21  elif test -n '$(MAKE_HOST)'; then \
22    true; \
23  elif test -n '$(MAKE_VERSION)' && test -n '$(CURDIR)'; then \
24    true; \
25  else \
26    false; \
27  fi; \
28}
29am__make_running_with_option = \
30  case $${target_option-} in \
31      ?) ;; \
32      *) echo "am__make_running_with_option: internal error: invalid" \
33              "target option '$${target_option-}' specified" >&2; \
34         exit 1;; \
35  esac; \
36  has_opt=no; \
37  sane_makeflags=$$MAKEFLAGS; \
38  if $(am__is_gnu_make); then \
39    sane_makeflags=$$MFLAGS; \
40  else \
41    case $$MAKEFLAGS in \
42      *\\[\ \   ]*) \
43        bs=\\; \
44        sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
45          | sed "s/$$bs$$bs[$$bs $$bs   ]*//g"`;; \
46    esac; \
47  fi; \
48  skip_next=no; \
49  strip_trailopt () \
50  { \
51    flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
52  }; \
53  for flg in $$sane_makeflags; do \
54    test $$skip_next = yes && { skip_next=no; continue; }; \
55    case $$flg in \
56      *=*|--*) continue;; \
57        -*I) strip_trailopt 'I'; skip_next=yes;; \
58      -*I?*) strip_trailopt 'I';; \
59        -*O) strip_trailopt 'O'; skip_next=yes;; \
60      -*O?*) strip_trailopt 'O';; \
61        -*l) strip_trailopt 'l'; skip_next=yes;; \
62      -*l?*) strip_trailopt 'l';; \
63      -[dEDm]) skip_next=yes;; \
64      -[JT]) skip_next=yes;; \
65    esac; \
66    case $$flg in \
67      *$$target_option*) has_opt=yes; break;; \
68    esac; \
69  done; \
70  test $$has_opt = yes
71am__make_dryrun = (target_option=n; $(am__make_running_with_option))
72am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
73pkgdatadir = $(datadir)/@PACKAGE@
74pkgincludedir = $(includedir)/@PACKAGE@
75pkglibdir = $(libdir)/@PACKAGE@
76pkglibexecdir = $(libexecdir)/@PACKAGE@
77am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
78install_sh_DATA = $(install_sh) -c -m 644
79install_sh_PROGRAM = $(install_sh) -c
80install_sh_SCRIPT = $(install_sh) -c
81INSTALL_HEADER = $(INSTALL_DATA)
82transform = $(program_transform_name)
83NORMAL_INSTALL = :
84PRE_INSTALL = :
85POST_INSTALL = :
86NORMAL_UNINSTALL = :
87PRE_UNINSTALL = :
88POST_UNINSTALL = :
89build_triplet = @build@
90host_triplet = @host@
91check_PROGRAMS =
92TESTS =
93@ENABLE_LOADABLE_MODULES_TRUE@am__append_1 = $(INCLTDL)
94subdir = lib/smblib
95ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
96am__aclocal_m4_deps = $(top_srcdir)/acinclude/ax_with_prog.m4 \
97        $(top_srcdir)/acinclude/init.m4 \
98        $(top_srcdir)/acinclude/squid-util.m4 \
99        $(top_srcdir)/acinclude/compiler-flags.m4 \
100        $(top_srcdir)/acinclude/os-deps.m4 \
101        $(top_srcdir)/acinclude/krb5.m4 $(top_srcdir)/acinclude/pam.m4 \
102        $(top_srcdir)/acinclude/pkg.m4 \
103        $(top_srcdir)/acinclude/lib-checks.m4 \
104        $(top_srcdir)/acinclude/ax_cxx_compile_stdcxx_11.m4 \
105        $(top_srcdir)/acinclude/ax_cxx_0x_types.m4 \
106        $(top_srcdir)/helpers/basic_auth/modules.m4 \
107        $(top_srcdir)/helpers/basic_auth/DB/required.m4 \
108        $(top_srcdir)/helpers/basic_auth/LDAP/required.m4 \
109        $(top_srcdir)/helpers/basic_auth/MSNT-multi-domain/required.m4 \
110        $(top_srcdir)/helpers/basic_auth/NCSA/required.m4 \
111        $(top_srcdir)/helpers/basic_auth/NIS/required.m4 \
112        $(top_srcdir)/helpers/basic_auth/PAM/required.m4 \
113        $(top_srcdir)/helpers/basic_auth/POP3/required.m4 \
114        $(top_srcdir)/helpers/basic_auth/RADIUS/required.m4 \
115        $(top_srcdir)/helpers/basic_auth/SASL/required.m4 \
116        $(top_srcdir)/helpers/basic_auth/SMB/required.m4 \
117        $(top_srcdir)/helpers/basic_auth/SMB_LM/required.m4 \
118        $(top_srcdir)/helpers/basic_auth/SSPI/required.m4 \
119        $(top_srcdir)/helpers/basic_auth/fake/required.m4 \
120        $(top_srcdir)/helpers/basic_auth/getpwnam/required.m4 \
121        $(top_srcdir)/helpers/digest_auth/modules.m4 \
122        $(top_srcdir)/helpers/digest_auth/LDAP/required.m4 \
123        $(top_srcdir)/helpers/digest_auth/eDirectory/required.m4 \
124        $(top_srcdir)/helpers/digest_auth/file/required.m4 \
125        $(top_srcdir)/helpers/negotiate_auth/modules.m4 \
126        $(top_srcdir)/helpers/negotiate_auth/SSPI/required.m4 \
127        $(top_srcdir)/helpers/negotiate_auth/kerberos/required.m4 \
128        $(top_srcdir)/helpers/negotiate_auth/wrapper/required.m4 \
129        $(top_srcdir)/helpers/ntlm_auth/modules.m4 \
130        $(top_srcdir)/helpers/ntlm_auth/fake/required.m4 \
131        $(top_srcdir)/helpers/ntlm_auth/SSPI/required.m4 \
132        $(top_srcdir)/helpers/ntlm_auth/smb_lm/required.m4 \
133        $(top_srcdir)/helpers/log_daemon/modules.m4 \
134        $(top_srcdir)/helpers/log_daemon/DB/required.m4 \
135        $(top_srcdir)/helpers/log_daemon/file/required.m4 \
136        $(top_srcdir)/helpers/external_acl/modules.m4 \
137        $(top_srcdir)/helpers/external_acl/AD_group/required.m4 \
138        $(top_srcdir)/helpers/external_acl/LDAP_group/required.m4 \
139        $(top_srcdir)/helpers/external_acl/LM_group/required.m4 \
140        $(top_srcdir)/helpers/external_acl/delayer/required.m4 \
141        $(top_srcdir)/helpers/external_acl/SQL_session/required.m4 \
142        $(top_srcdir)/helpers/external_acl/eDirectory_userip/required.m4 \
143        $(top_srcdir)/helpers/external_acl/file_userip/required.m4 \
144        $(top_srcdir)/helpers/external_acl/kerberos_ldap_group/required.m4 \
145        $(top_srcdir)/helpers/external_acl/session/required.m4 \
146        $(top_srcdir)/helpers/external_acl/time_quota/required.m4 \
147        $(top_srcdir)/helpers/external_acl/unix_group/required.m4 \
148        $(top_srcdir)/helpers/external_acl/wbinfo_group/required.m4 \
149        $(top_srcdir)/helpers/url_rewrite/modules.m4 \
150        $(top_srcdir)/helpers/url_rewrite/fake/required.m4 \
151        $(top_srcdir)/helpers/storeid_rewrite/modules.m4 \
152        $(top_srcdir)/helpers/storeid_rewrite/file/required.m4 \
153        $(top_srcdir)/configure.ac
154am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
155        $(ACLOCAL_M4)
156DIST_COMMON = $(srcdir)/Makefile.am $(am__DIST_COMMON)
157mkinstalldirs = $(install_sh) -d
158CONFIG_HEADER = $(top_builddir)/include/autoconf.h
159CONFIG_CLEAN_FILES =
160CONFIG_CLEAN_VPATH_FILES =
161LTLIBRARIES = $(noinst_LTLIBRARIES)
162libsmblib_la_LIBADD =
163am_libsmblib_la_OBJECTS = md4.lo smblib.lo smblib-util.lo \
164        smbencrypt.lo smbdes.lo
165libsmblib_la_OBJECTS = $(am_libsmblib_la_OBJECTS)
166AM_V_lt = $(am__v_lt_@AM_V@)
167am__v_lt_ = $(am__v_lt_@AM_DEFAULT_V@)
168am__v_lt_0 = --silent
169am__v_lt_1 =
170AM_V_P = $(am__v_P_@AM_V@)
171am__v_P_ = $(am__v_P_@AM_DEFAULT_V@)
172am__v_P_0 = false
173am__v_P_1 = :
174AM_V_GEN = $(am__v_GEN_@AM_V@)
175am__v_GEN_ = $(am__v_GEN_@AM_DEFAULT_V@)
176am__v_GEN_0 = @echo "  GEN     " $@;
177am__v_GEN_1 =
178AM_V_at = $(am__v_at_@AM_V@)
179am__v_at_ = $(am__v_at_@AM_DEFAULT_V@)
180am__v_at_0 = @
181am__v_at_1 =
182DEFAULT_INCLUDES =
183depcomp = $(SHELL) $(top_srcdir)/cfgaux/depcomp
184am__depfiles_maybe = depfiles
185am__mv = mv -f
186COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
187        $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
188LTCOMPILE = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
189        $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) \
190        $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
191        $(AM_CFLAGS) $(CFLAGS)
192AM_V_CC = $(am__v_CC_@AM_V@)
193am__v_CC_ = $(am__v_CC_@AM_DEFAULT_V@)
194am__v_CC_0 = @echo "  CC      " $@;
195am__v_CC_1 =
196CCLD = $(CC)
197LINK = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
198        $(LIBTOOLFLAGS) --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
199        $(AM_LDFLAGS) $(LDFLAGS) -o $@
200AM_V_CCLD = $(am__v_CCLD_@AM_V@)
201am__v_CCLD_ = $(am__v_CCLD_@AM_DEFAULT_V@)
202am__v_CCLD_0 = @echo "  CCLD    " $@;
203am__v_CCLD_1 =
204SOURCES = $(libsmblib_la_SOURCES)
205DIST_SOURCES = $(libsmblib_la_SOURCES)
206am__can_run_installinfo = \
207  case $$AM_UPDATE_INFO_DIR in \
208    n|no|NO) false;; \
209    *) (install-info --version) >/dev/null 2>&1;; \
210  esac
211am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
212# Read a list of newline-separated strings from the standard input,
213# and print each of them once, without duplicates.  Input order is
214# *not* preserved.
215am__uniquify_input = $(AWK) '\
216  BEGIN { nonempty = 0; } \
217  { items[$$0] = 1; nonempty = 1; } \
218  END { if (nonempty) { for (i in items) print i; }; } \
219'
220# Make sure the list of sources is unique.  This is necessary because,
221# e.g., the same source file might be shared among _SOURCES variables
222# for different programs/libraries.
223am__define_uniq_tagged_files = \
224  list='$(am__tagged_files)'; \
225  unique=`for i in $$list; do \
226    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
227  done | $(am__uniquify_input)`
228ETAGS = etags
229CTAGS = ctags
230am__tty_colors_dummy = \
231  mgn= red= grn= lgn= blu= brg= std=; \
232  am__color_tests=no
233am__tty_colors = { \
234  $(am__tty_colors_dummy); \
235  if test "X$(AM_COLOR_TESTS)" = Xno; then \
236    am__color_tests=no; \
237  elif test "X$(AM_COLOR_TESTS)" = Xalways; then \
238    am__color_tests=yes; \
239  elif test "X$$TERM" != Xdumb && { test -t 1; } 2>/dev/null; then \
240    am__color_tests=yes; \
241  fi; \
242  if test $$am__color_tests = yes; then \
243    red='[0;31m'; \
244    grn='[0;32m'; \
245    lgn='[1;32m'; \
246    blu='[1;34m'; \
247    mgn='[0;35m'; \
248    brg='[1m'; \
249    std='[m'; \
250  fi; \
251}
252am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
253am__vpath_adj = case $$p in \
254    $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
255    *) f=$$p;; \
256  esac;
257am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
258am__install_max = 40
259am__nobase_strip_setup = \
260  srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
261am__nobase_strip = \
262  for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
263am__nobase_list = $(am__nobase_strip_setup); \
264  for p in $$list; do echo "$$p $$p"; done | \
265  sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
266  $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
267    if (++n[$$2] == $(am__install_max)) \
268      { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
269    END { for (dir in files) print dir, files[dir] }'
270am__base_list = \
271  sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
272  sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
273am__uninstall_files_from_dir = { \
274  test -z "$$files" \
275    || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
276    || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
277         $(am__cd) "$$dir" && rm -f $$files; }; \
278  }
279am__recheck_rx = ^[     ]*:recheck:[    ]*
280am__global_test_result_rx = ^[  ]*:global-test-result:[         ]*
281am__copy_in_global_log_rx = ^[  ]*:copy-in-global-log:[         ]*
282# A command that, given a newline-separated list of test names on the
283# standard input, print the name of the tests that are to be re-run
284# upon "make recheck".
285am__list_recheck_tests = $(AWK) '{ \
286  recheck = 1; \
287  while ((rc = (getline line < ($$0 ".trs"))) != 0) \
288    { \
289      if (rc < 0) \
290        { \
291          if ((getline line2 < ($$0 ".log")) < 0) \
292            recheck = 0; \
293          break; \
294        } \
295      else if (line ~ /$(am__recheck_rx)[nN][Oo]/) \
296        { \
297          recheck = 0; \
298          break; \
299        } \
300      else if (line ~ /$(am__recheck_rx)[yY][eE][sS]/) \
301        { \
302          break; \
303        } \
304    }; \
305  if (recheck) \
306    print $$0; \
307  close ($$0 ".trs"); \
308  close ($$0 ".log"); \
309}'
310# A command that, given a newline-separated list of test names on the
311# standard input, create the global log from their .trs and .log files.
312am__create_global_log = $(AWK) ' \
313function fatal(msg) \
314{ \
315  print "fatal: making $@: " msg | "cat >&2"; \
316  exit 1; \
317} \
318function rst_section(header) \
319{ \
320  print header; \
321  len = length(header); \
322  for (i = 1; i <= len; i = i + 1) \
323    printf "="; \
324  printf "\n\n"; \
325} \
326{ \
327  copy_in_global_log = 1; \
328  global_test_result = "RUN"; \
329  while ((rc = (getline line < ($$0 ".trs"))) != 0) \
330    { \
331      if (rc < 0) \
332         fatal("failed to read from " $$0 ".trs"); \
333      if (line ~ /$(am__global_test_result_rx)/) \
334        { \
335          sub("$(am__global_test_result_rx)", "", line); \
336          sub("[        ]*$$", "", line); \
337          global_test_result = line; \
338        } \
339      else if (line ~ /$(am__copy_in_global_log_rx)[nN][oO]/) \
340        copy_in_global_log = 0; \
341    }; \
342  if (copy_in_global_log) \
343    { \
344      rst_section(global_test_result ": " $$0); \
345      while ((rc = (getline line < ($$0 ".log"))) != 0) \
346      { \
347        if (rc < 0) \
348          fatal("failed to read from " $$0 ".log"); \
349        print line; \
350      }; \
351      printf "\n"; \
352    }; \
353  close ($$0 ".trs"); \
354  close ($$0 ".log"); \
355}'
356# Restructured Text title.
357am__rst_title = { sed 's/.*/   &   /;h;s/./=/g;p;x;s/ *$$//;p;g' && echo; }
358# Solaris 10 'make', and several other traditional 'make' implementations,
359# pass "-e" to $(SHELL), and POSIX 2008 even requires this.  Work around it
360# by disabling -e (using the XSI extension "set +e") if it's set.
361am__sh_e_setup = case $$- in *e*) set +e;; esac
362# Default flags passed to test drivers.
363am__common_driver_flags = \
364  --color-tests "$$am__color_tests" \
365  --enable-hard-errors "$$am__enable_hard_errors" \
366  --expect-failure "$$am__expect_failure"
367# To be inserted before the command running the test.  Creates the
368# directory for the log if needed.  Stores in $dir the directory
369# containing $f, in $tst the test, in $log the log.  Executes the
370# developer- defined test setup AM_TESTS_ENVIRONMENT (if any), and
371# passes TESTS_ENVIRONMENT.  Set up options for the wrapper that
372# will run the test scripts (or their associated LOG_COMPILER, if
373# thy have one).
374am__check_pre = \
375$(am__sh_e_setup);                                      \
376$(am__vpath_adj_setup) $(am__vpath_adj)                 \
377$(am__tty_colors);                                      \
378srcdir=$(srcdir); export srcdir;                        \
379case "$@" in                                            \
380  */*) am__odir=`echo "./$@" | sed 's|/[^/]*$$||'`;;    \
381    *) am__odir=.;;                                     \
382esac;                                                   \
383test "x$$am__odir" = x"." || test -d "$$am__odir"       \
384  || $(MKDIR_P) "$$am__odir" || exit $$?;               \
385if test -f "./$$f"; then dir=./;                        \
386elif test -f "$$f"; then dir=;                          \
387else dir="$(srcdir)/"; fi;                              \
388tst=$$dir$$f; log='$@';                                 \
389if test -n '$(DISABLE_HARD_ERRORS)'; then               \
390  am__enable_hard_errors=no;                            \
391else                                                    \
392  am__enable_hard_errors=yes;                           \
393fi;                                                     \
394case " $(XFAIL_TESTS) " in                              \
395  *[\ \ ]$$f[\ \        ]* | *[\ \      ]$$dir$$f[\ \   ]*) \
396    am__expect_failure=yes;;                            \
397  *)                                                    \
398    am__expect_failure=no;;                             \
399esac;                                                   \
400$(AM_TESTS_ENVIRONMENT) $(TESTS_ENVIRONMENT)
401# A shell command to get the names of the tests scripts with any registered
402# extension removed (i.e., equivalently, the names of the test logs, with
403# the '.log' extension removed).  The result is saved in the shell variable
404# '$bases'.  This honors runtime overriding of TESTS and TEST_LOGS.  Sadly,
405# we cannot use something simpler, involving e.g., "$(TEST_LOGS:.log=)",
406# since that might cause problem with VPATH rewrites for suffix-less tests.
407# See also 'test-harness-vpath-rewrite.sh' and 'test-trs-basic.sh'.
408am__set_TESTS_bases = \
409  bases='$(TEST_LOGS)'; \
410  bases=`for i in $$bases; do echo $$i; done | sed 's/\.log$$//'`; \
411  bases=`echo $$bases`
412RECHECK_LOGS = $(TEST_LOGS)
413AM_RECURSIVE_TARGETS = check recheck
414TEST_SUITE_LOG = test-suite.log
415TEST_EXTENSIONS = @EXEEXT@ .test
416am__test_logs1 = $(TESTS:=.log)
417am__test_logs2 = $(am__test_logs1:@EXEEXT@.log=.log)
418TEST_LOGS = $(am__test_logs2:.test.log=.log)
419TEST_LOG_DRIVER = $(SHELL) $(top_srcdir)/cfgaux/test-driver
420TEST_LOG_COMPILE = $(TEST_LOG_COMPILER) $(AM_TEST_LOG_FLAGS) \
421        $(TEST_LOG_FLAGS)
422am__set_b = \
423  case '$@' in \
424    */*) \
425      case '$*' in \
426        */*) b='$*';; \
427          *) b=`echo '$@' | sed 's/\.log$$//'`; \
428       esac;; \
429    *) \
430      b='$*';; \
431  esac
432am__DIST_COMMON = $(srcdir)/Makefile.in $(top_srcdir)/cfgaux/depcomp \
433        $(top_srcdir)/cfgaux/test-driver $(top_srcdir)/src/Common.am
434DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
435ACLOCAL = @ACLOCAL@
436ADAPTATION_LIBS = @ADAPTATION_LIBS@
437ALLOCA = @ALLOCA@
438AMTAR = @AMTAR@
439AM_DEFAULT_VERBOSITY = @AM_DEFAULT_VERBOSITY@
440AR = @AR@
441ARGZ_H = @ARGZ_H@
442AR_R = @AR_R@
443AUTH_LIBS_TO_BUILD = @AUTH_LIBS_TO_BUILD@
444AUTH_MODULES = @AUTH_MODULES@
445AUTOCONF = @AUTOCONF@
446AUTOHEADER = @AUTOHEADER@
447AUTOMAKE = @AUTOMAKE@
448AWK = @AWK@
449BASIC_AUTH_HELPERS = @BASIC_AUTH_HELPERS@
450BUILDCXX = @BUILDCXX@
451BUILDCXXFLAGS = @BUILDCXXFLAGS@
452BZR = @BZR@
453CACHE_EFFECTIVE_USER = @CACHE_EFFECTIVE_USER@
454CC = @CC@
455CCDEPMODE = @CCDEPMODE@
456CFLAGS = @CFLAGS@
457CGIEXT = @CGIEXT@
458CHMOD = @CHMOD@
459CPP = @CPP@
460CPPFLAGS = @CPPFLAGS@
461CPPUNITCONFIG = @CPPUNITCONFIG@
462CRYPTLIB = @CRYPTLIB@
463CXX = @CXX@
464CXXCPP = @CXXCPP@
465CXXDEPMODE = @CXXDEPMODE@
466CXXFLAGS = @CXXFLAGS@
467CYGPATH_W = @CYGPATH_W@
468DEFAULT_HOSTS = @DEFAULT_HOSTS@
469DEFAULT_LOG_DIR = @DEFAULT_LOG_DIR@
470DEFAULT_PID_FILE = @DEFAULT_PID_FILE@
471DEFAULT_SWAP_DIR = @DEFAULT_SWAP_DIR@
472DEFS = @DEFS@
473DEPDIR = @DEPDIR@
474DIGEST_AUTH_HELPERS = @DIGEST_AUTH_HELPERS@
475DISK_LIBS = @DISK_LIBS@
476DISK_LINKOBJS = @DISK_LINKOBJS@
477DISK_MODULES = @DISK_MODULES@
478DISK_OS_LIBS = @DISK_OS_LIBS@
479DISK_PROGRAMS = @DISK_PROGRAMS@
480DLLTOOL = @DLLTOOL@
481DSYMUTIL = @DSYMUTIL@
482DUMPBIN = @DUMPBIN@
483ECAP_LIBS = @ECAP_LIBS@
484ECHO_C = @ECHO_C@
485ECHO_N = @ECHO_N@
486ECHO_T = @ECHO_T@
487EGREP = @EGREP@
488EPOLL_LIBS = @EPOLL_LIBS@
489EUILIB = @EUILIB@
490EXEEXT = @EXEEXT@
491EXPATLIB = @EXPATLIB@
492EXTERNAL_ACL_HELPERS = @EXTERNAL_ACL_HELPERS@
493EXT_LIBECAP_CFLAGS = @EXT_LIBECAP_CFLAGS@
494EXT_LIBECAP_LIBS = @EXT_LIBECAP_LIBS@
495FALSE = @FALSE@
496FGREP = @FGREP@
497GREP = @GREP@
498HAVE_CXX11 = @HAVE_CXX11@
499ICAP_LIBS = @ICAP_LIBS@
500INCLTDL = @INCLTDL@
501INSTALL = @INSTALL@
502INSTALL_DATA = @INSTALL_DATA@
503INSTALL_PROGRAM = @INSTALL_PROGRAM@
504INSTALL_SCRIPT = @INSTALL_SCRIPT@
505INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
506KRB5INCS = @KRB5INCS@
507KRB5LIBS = @KRB5LIBS@
508LBERLIB = @LBERLIB@
509LD = @LD@
510LDAPLIB = @LDAPLIB@
511LDFLAGS = @LDFLAGS@
512LIBADD_DL = @LIBADD_DL@
513LIBADD_DLD_LINK = @LIBADD_DLD_LINK@
514LIBADD_DLOPEN = @LIBADD_DLOPEN@
515LIBADD_SHL_LOAD = @LIBADD_SHL_LOAD@
516LIBGNUTLS_CFLAGS = @LIBGNUTLS_CFLAGS@
517LIBGNUTLS_LIBS = @LIBGNUTLS_LIBS@
518LIBLTDL = @LIBLTDL@
519LIBOBJS = @LIBOBJS@
520LIBOPENSSL_CFLAGS = @LIBOPENSSL_CFLAGS@
521LIBOPENSSL_LIBS = @LIBOPENSSL_LIBS@
522LIBS = @LIBS@
523LIBSASL = @LIBSASL@
524LIBTOOL = @LIBTOOL@
525LIB_DB = @LIB_DB@
526LIB_KRB5_CFLAGS = @LIB_KRB5_CFLAGS@
527LIB_KRB5_LIBS = @LIB_KRB5_LIBS@
528LINUXDOC = @LINUXDOC@
529LIPO = @LIPO@
530LN = @LN@
531LN_S = @LN_S@
532LOG_DAEMON_HELPERS = @LOG_DAEMON_HELPERS@
533LTDLDEPS = @LTDLDEPS@
534LTDLINCL = @LTDLINCL@
535LTDLOPEN = @LTDLOPEN@
536LTLIBOBJS = @LTLIBOBJS@
537LT_CONFIG_H = @LT_CONFIG_H@
538LT_DLLOADERS = @LT_DLLOADERS@
539LT_DLPREOPEN = @LT_DLPREOPEN@
540MAINT = @MAINT@
541MAKEINFO = @MAKEINFO@
542MANIFEST_TOOL = @MANIFEST_TOOL@
543MINGW_LIBS = @MINGW_LIBS@
544MKDIR = @MKDIR@
545MKDIR_P = @MKDIR_P@
546MV = @MV@
547NEGOTIATE_AUTH_HELPERS = @NEGOTIATE_AUTH_HELPERS@
548NETTLELIB = @NETTLELIB@
549NM = @NM@
550NMEDIT = @NMEDIT@
551NTLM_AUTH_HELPERS = @NTLM_AUTH_HELPERS@
552OBJDUMP = @OBJDUMP@
553OBJEXT = @OBJEXT@
554OTOOL = @OTOOL@
555OTOOL64 = @OTOOL64@
556PACKAGE = @PACKAGE@
557PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
558PACKAGE_NAME = @PACKAGE_NAME@
559PACKAGE_STRING = @PACKAGE_STRING@
560PACKAGE_TARNAME = @PACKAGE_TARNAME@
561PACKAGE_URL = @PACKAGE_URL@
562PACKAGE_VERSION = @PACKAGE_VERSION@
563PATH_SEPARATOR = @PATH_SEPARATOR@
564PERL = @PERL@
565PKG_CONFIG = @PKG_CONFIG@
566PKG_CONFIG_LIBDIR = @PKG_CONFIG_LIBDIR@
567PKG_CONFIG_PATH = @PKG_CONFIG_PATH@
568PO2HTML = @PO2HTML@
569PO2TEXT = @PO2TEXT@
570POD2MAN = @POD2MAN@
571RANLIB = @RANLIB@
572REGEXLIB = @REGEXLIB@
573REPL_LIBS = @REPL_LIBS@
574REPL_OBJS = @REPL_OBJS@
575REPL_POLICIES = @REPL_POLICIES@
576RM = @RM@
577SED = @SED@
578SET_MAKE = @SET_MAKE@
579SH = @SH@
580SHELL = @SHELL@
581SMBCLIENT = @SMBCLIENT@
582SNMPLIB = @SNMPLIB@
583SQUID_CFLAGS = @SQUID_CFLAGS@
584SQUID_CPPUNIT_INC = @SQUID_CPPUNIT_INC@
585SQUID_CPPUNIT_LA = @SQUID_CPPUNIT_LA@
586SQUID_CPPUNIT_LIBS = @SQUID_CPPUNIT_LIBS@
587SQUID_CXXFLAGS = @SQUID_CXXFLAGS@
588SSLLIB = @SSLLIB@
589STOREID_REWRITE_HELPERS = @STOREID_REWRITE_HELPERS@
590STORE_LIBS_TO_ADD = @STORE_LIBS_TO_ADD@
591STORE_LIBS_TO_BUILD = @STORE_LIBS_TO_BUILD@
592STORE_TESTS = @STORE_TESTS@
593STRIP = @STRIP@
594TR = @TR@
595TRUE = @TRUE@
596URL_REWRITE_HELPERS = @URL_REWRITE_HELPERS@
597VERSION = @VERSION@
598WBINFO = @WBINFO@
599WIN32_PSAPI = @WIN32_PSAPI@
600XMLLIB = @XMLLIB@
601XTRA_LIBS = @XTRA_LIBS@
602XTRA_OBJS = @XTRA_OBJS@
603abs_builddir = @abs_builddir@
604abs_srcdir = @abs_srcdir@
605abs_top_builddir = @abs_top_builddir@
606abs_top_srcdir = @abs_top_srcdir@
607ac_ct_AR = @ac_ct_AR@
608ac_ct_CC = @ac_ct_CC@
609ac_ct_CXX = @ac_ct_CXX@
610ac_ct_DUMPBIN = @ac_ct_DUMPBIN@
611am__include = @am__include@
612am__leading_dot = @am__leading_dot@
613am__quote = @am__quote@
614am__tar = @am__tar@
615am__untar = @am__untar@
616bindir = @bindir@
617build = @build@
618build_alias = @build_alias@
619build_cpu = @build_cpu@
620build_os = @build_os@
621build_vendor = @build_vendor@
622builddir = @builddir@
623datadir = @datadir@
624datarootdir = @datarootdir@
625docdir = @docdir@
626dvidir = @dvidir@
627exec_prefix = @exec_prefix@
628host = @host@
629host_alias = @host_alias@
630host_cpu = @host_cpu@
631host_os = @host_os@
632host_vendor = @host_vendor@
633htmldir = @htmldir@
634includedir = @includedir@
635infodir = @infodir@
636install_sh = @install_sh@
637krb5_config = @krb5_config@
638libdir = @libdir@
639libexecdir = @libexecdir@
640localedir = @localedir@
641localstatedir = @localstatedir@
642ltdl_LIBOBJS = @ltdl_LIBOBJS@
643ltdl_LTLIBOBJS = @ltdl_LTLIBOBJS@
644mandir = @mandir@
645mkdir_p = @mkdir_p@
646oldincludedir = @oldincludedir@
647pdfdir = @pdfdir@
648prefix = @prefix@
649program_transform_name = @program_transform_name@
650psdir = @psdir@
651runstatedir = @runstatedir@
652sbindir = @sbindir@
653sharedstatedir = @sharedstatedir@
654srcdir = @srcdir@
655subdirs = @subdirs@
656sys_symbol_underscore = @sys_symbol_underscore@
657sysconfdir = @sysconfdir@
658target_alias = @target_alias@
659top_build_prefix = @top_build_prefix@
660top_builddir = @top_builddir@
661top_srcdir = @top_srcdir@
662AM_CFLAGS = $(SQUID_CFLAGS)
663AM_CXXFLAGS = $(SQUID_CXXFLAGS)
664CLEANFILES =
665AM_CPPFLAGS = -I$(top_srcdir) -I$(top_srcdir)/include \
666        -I$(top_srcdir)/lib -I$(top_srcdir)/src \
667        -I$(top_builddir)/include $(SQUID_CPPUNIT_INC) $(KRB5INCS) \
668        $(am__append_1) -I$(top_srcdir)/lib
669@ENABLE_XPROF_STATS_FALSE@LIBPROFILER =
670@ENABLE_XPROF_STATS_TRUE@LIBPROFILER = $(top_builddir)/lib/profiler/libprofiler.la
671COMPAT_LIB = $(top_builddir)/compat/libcompat-squid.la $(LIBPROFILER)
672subst_perlshell = sed -e 's,[@]PERL[@],$(PERL),g' <$(srcdir)/$@.pl.in >$@ || ($(RM) -f $@ ; exit 1)
673noinst_LTLIBRARIES = libsmblib.la
674libsmblib_la_SOURCES = \
675        md4.c \
676        md4.h \
677        smblib.c \
678        smblib.h \
679        smblib-common.h \
680        smblib-priv.h \
681        smblib-util.c \
682        smbencrypt.c \
683        smbencrypt.h \
684        smbdes.c \
685        smbdes.h \
686        std-defines.h
687
688all: all-am
689
690.SUFFIXES:
691.SUFFIXES: .c .lo .log .o .obj .test .test$(EXEEXT) .trs
692$(srcdir)/Makefile.in: @MAINTAINER_MODE_TRUE@ $(srcdir)/Makefile.am $(top_srcdir)/src/Common.am $(am__configure_deps)
693        @for dep in $?; do \
694          case '$(am__configure_deps)' in \
695            *$$dep*) \
696              ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
697                && { if test -f $@; then exit 0; else break; fi; }; \
698              exit 1;; \
699          esac; \
700        done; \
701        echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign lib/smblib/Makefile'; \
702        $(am__cd) $(top_srcdir) && \
703          $(AUTOMAKE) --foreign lib/smblib/Makefile
704Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
705        @case '$?' in \
706          *config.status*) \
707            cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
708          *) \
709            echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
710            cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
711        esac;
712$(top_srcdir)/src/Common.am $(am__empty):
713
714$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
715        cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
716
717$(top_srcdir)/configure: @MAINTAINER_MODE_TRUE@ $(am__configure_deps)
718        cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
719$(ACLOCAL_M4): @MAINTAINER_MODE_TRUE@ $(am__aclocal_m4_deps)
720        cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
721$(am__aclocal_m4_deps):
722
723clean-noinstLTLIBRARIES:
724        -test -z "$(noinst_LTLIBRARIES)" || rm -f $(noinst_LTLIBRARIES)
725        @list='$(noinst_LTLIBRARIES)'; \
726        locs=`for p in $$list; do echo $$p; done | \
727              sed 's|^[^/]*$$|.|; s|/[^/]*$$||; s|$$|/so_locations|' | \
728              sort -u`; \
729        test -z "$$locs" || { \
730          echo rm -f $${locs}; \
731          rm -f $${locs}; \
732        }
733
734libsmblib.la: $(libsmblib_la_OBJECTS) $(libsmblib_la_DEPENDENCIES) $(EXTRA_libsmblib_la_DEPENDENCIES)
735        $(AM_V_CCLD)$(LINK)  $(libsmblib_la_OBJECTS) $(libsmblib_la_LIBADD) $(LIBS)
736
737clean-checkPROGRAMS:
738        @list='$(check_PROGRAMS)'; test -n "$$list" || exit 0; \
739        echo " rm -f" $$list; \
740        rm -f $$list || exit $$?; \
741        test -n "$(EXEEXT)" || exit 0; \
742        list=`for p in $$list; do echo "$$p"; done | sed 's/$(EXEEXT)$$//'`; \
743        echo " rm -f" $$list; \
744        rm -f $$list
745
746mostlyclean-compile:
747        -rm -f *.$(OBJEXT)
748
749distclean-compile:
750        -rm -f *.tab.c
751
752@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/md4.Plo@am__quote@
753@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/smbdes.Plo@am__quote@
754@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/smbencrypt.Plo@am__quote@
755@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/smblib-util.Plo@am__quote@
756@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/smblib.Plo@am__quote@
757
758.c.o:
759@am__fastdepCC_TRUE@    $(AM_V_CC)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.o$$||'`;\
760@am__fastdepCC_TRUE@    $(COMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
761@am__fastdepCC_TRUE@    $(am__mv) $$depbase.Tpo $$depbase.Po
762@AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
763@AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
764@am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(COMPILE) -c -o $@ $<
765
766.c.obj:
767@am__fastdepCC_TRUE@    $(AM_V_CC)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.obj$$||'`;\
768@am__fastdepCC_TRUE@    $(COMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ `$(CYGPATH_W) '$<'` &&\
769@am__fastdepCC_TRUE@    $(am__mv) $$depbase.Tpo $$depbase.Po
770@AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
771@AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
772@am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(COMPILE) -c -o $@ `$(CYGPATH_W) '$<'`
773
774.c.lo:
775@am__fastdepCC_TRUE@    $(AM_V_CC)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.lo$$||'`;\
776@am__fastdepCC_TRUE@    $(LTCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
777@am__fastdepCC_TRUE@    $(am__mv) $$depbase.Tpo $$depbase.Plo
778@AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
779@AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
780@am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LTCOMPILE) -c -o $@ $<
781
782mostlyclean-libtool:
783        -rm -f *.lo
784
785clean-libtool:
786        -rm -rf .libs _libs
787
788ID: $(am__tagged_files)
789        $(am__define_uniq_tagged_files); mkid -fID $$unique
790tags: tags-am
791TAGS: tags
792
793tags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
794        set x; \
795        here=`pwd`; \
796        $(am__define_uniq_tagged_files); \
797        shift; \
798        if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
799          test -n "$$unique" || unique=$$empty_fix; \
800          if test $$# -gt 0; then \
801            $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
802              "$$@" $$unique; \
803          else \
804            $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
805              $$unique; \
806          fi; \
807        fi
808ctags: ctags-am
809
810CTAGS: ctags
811ctags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
812        $(am__define_uniq_tagged_files); \
813        test -z "$(CTAGS_ARGS)$$unique" \
814          || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
815             $$unique
816
817GTAGS:
818        here=`$(am__cd) $(top_builddir) && pwd` \
819          && $(am__cd) $(top_srcdir) \
820          && gtags -i $(GTAGS_ARGS) "$$here"
821cscopelist: cscopelist-am
822
823cscopelist-am: $(am__tagged_files)
824        list='$(am__tagged_files)'; \
825        case "$(srcdir)" in \
826          [\\/]* | ?:[\\/]*) sdir="$(srcdir)" ;; \
827          *) sdir=$(subdir)/$(srcdir) ;; \
828        esac; \
829        for i in $$list; do \
830          if test -f "$$i"; then \
831            echo "$(subdir)/$$i"; \
832          else \
833            echo "$$sdir/$$i"; \
834          fi; \
835        done >> $(top_builddir)/cscope.files
836
837distclean-tags:
838        -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
839
840# Recover from deleted '.trs' file; this should ensure that
841# "rm -f foo.log; make foo.trs" re-run 'foo.test', and re-create
842# both 'foo.log' and 'foo.trs'.  Break the recipe in two subshells
843# to avoid problems with "make -n".
844.log.trs:
845        rm -f $< $@
846        $(MAKE) $(AM_MAKEFLAGS) $<
847
848# Leading 'am--fnord' is there to ensure the list of targets does not
849# expand to empty, as could happen e.g. with make check TESTS=''.
850am--fnord $(TEST_LOGS) $(TEST_LOGS:.log=.trs): $(am__force_recheck)
851am--force-recheck:
852        @:
853
854$(TEST_SUITE_LOG): $(TEST_LOGS)
855        @$(am__set_TESTS_bases); \
856        am__f_ok () { test -f "$$1" && test -r "$$1"; }; \
857        redo_bases=`for i in $$bases; do \
858                      am__f_ok $$i.trs && am__f_ok $$i.log || echo $$i; \
859                    done`; \
860        if test -n "$$redo_bases"; then \
861          redo_logs=`for i in $$redo_bases; do echo $$i.log; done`; \
862          redo_results=`for i in $$redo_bases; do echo $$i.trs; done`; \
863          if $(am__make_dryrun); then :; else \
864            rm -f $$redo_logs && rm -f $$redo_results || exit 1; \
865          fi; \
866        fi; \
867        if test -n "$$am__remaking_logs"; then \
868          echo "fatal: making $(TEST_SUITE_LOG): possible infinite" \
869               "recursion detected" >&2; \
870        elif test -n "$$redo_logs"; then \
871          am__remaking_logs=yes $(MAKE) $(AM_MAKEFLAGS) $$redo_logs; \
872        fi; \
873        if $(am__make_dryrun); then :; else \
874          st=0;  \
875          errmsg="fatal: making $(TEST_SUITE_LOG): failed to create"; \
876          for i in $$redo_bases; do \
877            test -f $$i.trs && test -r $$i.trs \
878              || { echo "$$errmsg $$i.trs" >&2; st=1; }; \
879            test -f $$i.log && test -r $$i.log \
880              || { echo "$$errmsg $$i.log" >&2; st=1; }; \
881          done; \
882          test $$st -eq 0 || exit 1; \
883        fi
884        @$(am__sh_e_setup); $(am__tty_colors); $(am__set_TESTS_bases); \
885        ws='[   ]'; \
886        results=`for b in $$bases; do echo $$b.trs; done`; \
887        test -n "$$results" || results=/dev/null; \
888        all=`  grep "^$$ws*:test-result:"           $$results | wc -l`; \
889        pass=` grep "^$$ws*:test-result:$$ws*PASS"  $$results | wc -l`; \
890        fail=` grep "^$$ws*:test-result:$$ws*FAIL"  $$results | wc -l`; \
891        skip=` grep "^$$ws*:test-result:$$ws*SKIP"  $$results | wc -l`; \
892        xfail=`grep "^$$ws*:test-result:$$ws*XFAIL" $$results | wc -l`; \
893        xpass=`grep "^$$ws*:test-result:$$ws*XPASS" $$results | wc -l`; \
894        error=`grep "^$$ws*:test-result:$$ws*ERROR" $$results | wc -l`; \
895        if test `expr $$fail + $$xpass + $$error` -eq 0; then \
896          success=true; \
897        else \
898          success=false; \
899        fi; \
900        br='==================='; br=$$br$$br$$br$$br; \
901        result_count () \
902        { \
903            if test x"$$1" = x"--maybe-color"; then \
904              maybe_colorize=yes; \
905            elif test x"$$1" = x"--no-color"; then \
906              maybe_colorize=no; \
907            else \
908              echo "$@: invalid 'result_count' usage" >&2; exit 4; \
909            fi; \
910            shift; \
911            desc=$$1 count=$$2; \
912            if test $$maybe_colorize = yes && test $$count -gt 0; then \
913              color_start=$$3 color_end=$$std; \
914            else \
915              color_start= color_end=; \
916            fi; \
917            echo "$${color_start}# $$desc $$count$${color_end}"; \
918        }; \
919        create_testsuite_report () \
920        { \
921          result_count $$1 "TOTAL:" $$all   "$$brg"; \
922          result_count $$1 "PASS: " $$pass  "$$grn"; \
923          result_count $$1 "SKIP: " $$skip  "$$blu"; \
924          result_count $$1 "XFAIL:" $$xfail "$$lgn"; \
925          result_count $$1 "FAIL: " $$fail  "$$red"; \
926          result_count $$1 "XPASS:" $$xpass "$$red"; \
927          result_count $$1 "ERROR:" $$error "$$mgn"; \
928        }; \
929        {                                                               \
930          echo "$(PACKAGE_STRING): $(subdir)/$(TEST_SUITE_LOG)" |       \
931            $(am__rst_title);                                           \
932          create_testsuite_report --no-color;                           \
933          echo;                                                         \
934          echo ".. contents:: :depth: 2";                               \
935          echo;                                                         \
936          for b in $$bases; do echo $$b; done                           \
937            | $(am__create_global_log);                                 \
938        } >$(TEST_SUITE_LOG).tmp || exit 1;                             \
939        mv $(TEST_SUITE_LOG).tmp $(TEST_SUITE_LOG);                     \
940        if $$success; then                                              \
941          col="$$grn";                                                  \
942         else                                                           \
943          col="$$red";                                                  \
944          test x"$$VERBOSE" = x || cat $(TEST_SUITE_LOG);               \
945        fi;                                                             \
946        echo "$${col}$$br$${std}";                                      \
947        echo "$${col}Testsuite summary for $(PACKAGE_STRING)$${std}";   \
948        echo "$${col}$$br$${std}";                                      \
949        create_testsuite_report --maybe-color;                          \
950        echo "$$col$$br$$std";                                          \
951        if $$success; then :; else                                      \
952          echo "$${col}See $(subdir)/$(TEST_SUITE_LOG)$${std}";         \
953          if test -n "$(PACKAGE_BUGREPORT)"; then                       \
954            echo "$${col}Please report to $(PACKAGE_BUGREPORT)$${std}"; \
955          fi;                                                           \
956          echo "$$col$$br$$std";                                        \
957        fi;                                                             \
958        $$success || exit 1
959
960check-TESTS:
961        @list='$(RECHECK_LOGS)';           test -z "$$list" || rm -f $$list
962        @list='$(RECHECK_LOGS:.log=.trs)'; test -z "$$list" || rm -f $$list
963        @test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
964        @set +e; $(am__set_TESTS_bases); \
965        log_list=`for i in $$bases; do echo $$i.log; done`; \
966        trs_list=`for i in $$bases; do echo $$i.trs; done`; \
967        log_list=`echo $$log_list`; trs_list=`echo $$trs_list`; \
968        $(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_LOG) TEST_LOGS="$$log_list"; \
969        exit $$?;
970recheck: all $(check_PROGRAMS)
971        @test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
972        @set +e; $(am__set_TESTS_bases); \
973        bases=`for i in $$bases; do echo $$i; done \
974                 | $(am__list_recheck_tests)` || exit 1; \
975        log_list=`for i in $$bases; do echo $$i.log; done`; \
976        log_list=`echo $$log_list`; \
977        $(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_LOG) \
978                am__force_recheck=am--force-recheck \
979                TEST_LOGS="$$log_list"; \
980        exit $$?
981.test.log:
982        @p='$<'; \
983        $(am__set_b); \
984        $(am__check_pre) $(TEST_LOG_DRIVER) --test-name "$$f" \
985        --log-file $$b.log --trs-file $$b.trs \
986        $(am__common_driver_flags) $(AM_TEST_LOG_DRIVER_FLAGS) $(TEST_LOG_DRIVER_FLAGS) -- $(TEST_LOG_COMPILE) \
987        "$$tst" $(AM_TESTS_FD_REDIRECT)
988@am__EXEEXT_TRUE@.test$(EXEEXT).log:
989@am__EXEEXT_TRUE@       @p='$<'; \
990@am__EXEEXT_TRUE@       $(am__set_b); \
991@am__EXEEXT_TRUE@       $(am__check_pre) $(TEST_LOG_DRIVER) --test-name "$$f" \
992@am__EXEEXT_TRUE@       --log-file $$b.log --trs-file $$b.trs \
993@am__EXEEXT_TRUE@       $(am__common_driver_flags) $(AM_TEST_LOG_DRIVER_FLAGS) $(TEST_LOG_DRIVER_FLAGS) -- $(TEST_LOG_COMPILE) \
994@am__EXEEXT_TRUE@       "$$tst" $(AM_TESTS_FD_REDIRECT)
995
996distdir: $(DISTFILES)
997        @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
998        topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
999        list='$(DISTFILES)'; \
1000          dist_files=`for file in $$list; do echo $$file; done | \
1001          sed -e "s|^$$srcdirstrip/||;t" \
1002              -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
1003        case $$dist_files in \
1004          */*) $(MKDIR_P) `echo "$$dist_files" | \
1005                           sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
1006                           sort -u` ;; \
1007        esac; \
1008        for file in $$dist_files; do \
1009          if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
1010          if test -d $$d/$$file; then \
1011            dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
1012            if test -d "$(distdir)/$$file"; then \
1013              find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
1014            fi; \
1015            if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
1016              cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
1017              find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
1018            fi; \
1019            cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
1020          else \
1021            test -f "$(distdir)/$$file" \
1022            || cp -p $$d/$$file "$(distdir)/$$file" \
1023            || exit 1; \
1024          fi; \
1025        done
1026check-am: all-am
1027        $(MAKE) $(AM_MAKEFLAGS) $(check_PROGRAMS)
1028        $(MAKE) $(AM_MAKEFLAGS) check-TESTS
1029check: check-am
1030all-am: Makefile $(LTLIBRARIES)
1031installdirs:
1032install: install-am
1033install-exec: install-exec-am
1034install-data: install-data-am
1035uninstall: uninstall-am
1036
1037install-am: all-am
1038        @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
1039
1040installcheck: installcheck-am
1041install-strip:
1042        if test -z '$(STRIP)'; then \
1043          $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
1044            install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
1045              install; \
1046        else \
1047          $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
1048            install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
1049            "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
1050        fi
1051mostlyclean-generic:
1052        -test -z "$(TEST_LOGS)" || rm -f $(TEST_LOGS)
1053        -test -z "$(TEST_LOGS:.log=.trs)" || rm -f $(TEST_LOGS:.log=.trs)
1054        -test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
1055
1056clean-generic:
1057        -test -z "$(CLEANFILES)" || rm -f $(CLEANFILES)
1058
1059distclean-generic:
1060        -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
1061        -test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
1062
1063maintainer-clean-generic:
1064        @echo "This command is intended for maintainers to use"
1065        @echo "it deletes files that may require special tools to rebuild."
1066clean: clean-am
1067
1068clean-am: clean-checkPROGRAMS clean-generic clean-libtool \
1069        clean-noinstLTLIBRARIES mostlyclean-am
1070
1071distclean: distclean-am
1072        -rm -rf ./$(DEPDIR)
1073        -rm -f Makefile
1074distclean-am: clean-am distclean-compile distclean-generic \
1075        distclean-tags
1076
1077dvi: dvi-am
1078
1079dvi-am:
1080
1081html: html-am
1082
1083html-am:
1084
1085info: info-am
1086
1087info-am:
1088
1089install-data-am:
1090
1091install-dvi: install-dvi-am
1092
1093install-dvi-am:
1094
1095install-exec-am:
1096
1097install-html: install-html-am
1098
1099install-html-am:
1100
1101install-info: install-info-am
1102
1103install-info-am:
1104
1105install-man:
1106
1107install-pdf: install-pdf-am
1108
1109install-pdf-am:
1110
1111install-ps: install-ps-am
1112
1113install-ps-am:
1114
1115installcheck-am:
1116
1117maintainer-clean: maintainer-clean-am
1118        -rm -rf ./$(DEPDIR)
1119        -rm -f Makefile
1120maintainer-clean-am: distclean-am maintainer-clean-generic
1121
1122mostlyclean: mostlyclean-am
1123
1124mostlyclean-am: mostlyclean-compile mostlyclean-generic \
1125        mostlyclean-libtool
1126
1127pdf: pdf-am
1128
1129pdf-am:
1130
1131ps: ps-am
1132
1133ps-am:
1134
1135uninstall-am:
1136
1137.MAKE: check-am install-am install-strip
1138
1139.PHONY: CTAGS GTAGS TAGS all all-am check check-TESTS check-am clean \
1140        clean-checkPROGRAMS clean-generic clean-libtool \
1141        clean-noinstLTLIBRARIES cscopelist-am ctags ctags-am distclean \
1142        distclean-compile distclean-generic distclean-libtool \
1143        distclean-tags distdir dvi dvi-am html html-am info info-am \
1144        install install-am install-data install-data-am install-dvi \
1145        install-dvi-am install-exec install-exec-am install-html \
1146        install-html-am install-info install-info-am install-man \
1147        install-pdf install-pdf-am install-ps install-ps-am \
1148        install-strip installcheck installcheck-am installdirs \
1149        maintainer-clean maintainer-clean-generic mostlyclean \
1150        mostlyclean-compile mostlyclean-generic mostlyclean-libtool \
1151        pdf pdf-am ps ps-am recheck tags tags-am uninstall \
1152        uninstall-am
1153
1154.PRECIOUS: Makefile
1155
1156
1157$(OBJS): $(top_srcdir)/include/version.h $(top_builddir)/include/autoconf.h
1158
1159# Tell versions [3.59,3.63) of GNU make to not export all variables.
1160# Otherwise a system limit (for SysV at least) may be exceeded.
1161.NOEXPORT:
Note: See TracBrowser for help on using the repository browser.